xine-lib: xine-lib-1.2.12/src/post/goom/goom_plugin_info.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions
goom_plugin_info.h File Reference
`#include "goom_typedefs.h"`
`#include "goom_config.h"`
`#include "goom_graphic.h"`
`#include "goom_config_param.h"`
`#include "goom_visual_fx.h"`
`#include "goom_filters.h"`
`#include "goom_tools.h"`
`#include "goomsl.h"`

Go to the source code of this file.

## Data Structures
struct | GoomState
struct | _SOUND_INFO
struct | _PLUGIN_INFO
struct | _PLUGIN_INFO::_SIZE_TYPE

## Macros
#define | STATES_MAX_NB 128

## Functions
void | plugin_info_init (PluginInfo *p, int nbVisual)
void | plugin_info_add_visual (PluginInfo *p, int i, VisualFX *visual)

## Macro Definition Documentation

## ◆ STATES_MAX_NB

#define STATES_MAX_NB 128

## Function Documentation

## ◆ plugin_info_add_visual()

void plugin_info_add_visual | ( | PluginInfo * | p,
|  | int | i,
|  | VisualFX * | visual
| ) |  |

References _PLUGIN_INFO::nbParams, _PLUGIN_INFO::nbVisuals, _SOUND_INFO::params, _PLUGIN_INFO::params, _VISUAL_FX::params, _PLUGIN_INFO::sound, and _PLUGIN_INFO::visuals.

Referenced by goom_init().

## ◆ plugin_info_init()

void plugin_info_init | ( | PluginInfo * | p,
|  | int | nbVisual
| ) |  |

References _SOUND_INFO::accel_p, _SOUND_INFO::accelvar, _PLUGIN_INFO::affiche, _SOUND_INFO::allTimesMax, _SOUND_INFO::biggoom_factor_p, _SOUND_INFO::biggoom_speed_limit_p, _PLUGIN_INFO::curGState, _PLUGIN_INFO::cyclesSinceLastChange, _PLUGIN_INFO::decay_ifs, _PLUGIN_INFO::drawLinesDuration, _SOUND_INFO::goom_limit, _SOUND_INFO::goom_limit_p, _SOUND_INFO::goom_power_p, _PLUGIN_INFO::goomvar, _PLUGIN_INFO::ifs_incr, IMAX, IMIN, ISTEP, IVAL, _SOUND_INFO::last_biggoom_p, _SOUND_INFO::last_goom_p, _PLUGIN_INFO::lineMode, _PLUGIN_INFO::lockvar, _PLUGIN_INFO::loopvar, _PLUGIN_INFO::nbParams, _PLUGIN_INFO::nbVisuals, NORMAL_MODE, _PARAMETERS::params, _SOUND_INFO::params, plugin_parameters, _PLUGIN_INFO::previousZoomSpeed, _SOUND_INFO::prov_max, _PLUGIN_INFO::recay_ifs, secure_f_feedback, secure_i_param, setOptimizedMethods(), _PLUGIN_INFO::sintable, _PLUGIN_INFO::sound, _SOUND_INFO::speed_p, _SOUND_INFO::speedvar, _PLUGIN_INFO::states, _PLUGIN_INFO::stateSelectionBlocker, _PLUGIN_INFO::stateSelectionRnd, _PLUGIN_INFO::statesNumber, _PLUGIN_INFO::statesRangeMax, _PLUGIN_INFO::stop_lines, _PLUGIN_INFO::switchIncr, _PLUGIN_INFO::switchIncrAmount, _PLUGIN_INFO::switchMult, _PLUGIN_INFO::switchMultAmount, _PLUGIN_INFO::timeOfTitleDisplay, _SOUND_INFO::totalgoom, _PLUGIN_INFO::update, _PLUGIN_INFO::update_message, _PLUGIN_INFO::visuals, _SOUND_INFO::volume_p, and _PLUGIN_INFO::zoomFilterData.

Referenced by goom_init().